device_type: d02

job_name: d02-grub-boot
timeouts:
  job:
    minutes: 300
  action:
    minutes: 300
priority: medium
visibility: public

metadata:
  source: https://git.linaro.org/lava-team/refactoring.git
  path: d02-grub-ramdisk.yaml

actions:
  - deploy:
     timeout:
       minutes: 10
     to: tftp
     ramdisk:
         url: http://storage.kernelci.org/images/rootfs/buildroot/arm64/tests/rootfs.cpio.gz
         compression: gz
     kernel:
         url: http://images.validation.linaro.org/d02/20151209-1510/Image
     dtb:
         url: http://images.validation.linaro.org/d02/20151209-1510/hip05-d02.dtb
     os: oe

  - boot:
      method: grub
      commands: ramdisk
      timeout:
          minutes: 50
      prompts:
       - 'root@genericarmv8:~#'
       - '/ #'

  - test:
     failure_retry: 3
     name: kvm-basic-singlenode
     timeout:
       minutes: 5
     definitions:
     - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
       from: git
       path: lava-test-shell/smoke-tests-basic.yaml
       name: smoke-tests
     - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
       from: git
       path: lava-test-shell/single-node/singlenode03.yaml
       name: singlenode-advanced
